﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Graphics;

namespace RaycasterXPipeline
{
	public class MapContent
	{
		//all the textures used
		public List<ExternalReference<TextureContent>> Textures =
			new List<ExternalReference<TextureContent>>();

		//the map's background
		public ExternalReference<TextureContent> Background;

		//the map's layout stored as a list of rows.
		public List<int[]> Rows = new List<int[]>();
	}
}
